<ion-text class="current-icon">
  Current: <ion-icon [name]=value></ion-icon> ({{value ?? "None"}})
</ion-text>

<ion-segment value="default" (ionChange)="selectStyle();" #styleSelector>
  <ion-segment-button value="default">Default</ion-segment-button>
  <ion-segment-button value="outline">Outline</ion-segment-button>
  <ion-segment-button value="sharp">Sharp</ion-segment-button>
</ion-segment>

<ion-searchbar #searchBar (ionInput)="search();">

</ion-searchbar>
<ion-row>
  <ion-col size-md=12>

    <ion-row>
      <div *ngFor="let icon of icons" class="ion-text-center">
        <ion-text class="icon-option">
          <ion-icon [name]="icon.name.startsWith('logo-') ? icon.name : icon.name + currentStyle"
            *ngIf="value === (icon.name.startsWith('logo-') ? icon.name : icon.name + currentStyle)"
            class="selected selectable"></ion-icon>

          <ion-icon [name]="icon.name.startsWith('logo-') ? icon.name : icon.name + currentStyle"
            *ngIf="value !== (icon.name.startsWith('logo-') ? icon.name : icon.name + currentStyle)" class="selectable"
            (click)="select(icon.name.startsWith('logo-') ? icon.name : icon.name + currentStyle);"></ion-icon>
        </ion-text>
      </div>
    </ion-row>
  </ion-col>
</ion-row>
